Bug 587071 - [abrt] crash in firefox-3.5.9-1.fc12: Process /usr/lib/firefox-3.5.9/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-1.fc12: Process /usr/lib/firefox-3.5.9/firefox ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:504a48ce1b72b86a56d47ede7a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 15:43 EDT by Dan Hrabarchuk
Modified: 2010-05-27 10:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 10:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.86 KB, text/plain)
2010-04-28 15:44 EDT, Dan Hrabarchuk
no flags Details

  None (edit)
Description Dan Hrabarchuk 2010-04-28 15:43:58 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.9/firefox
component: firefox
executable: /usr/lib/firefox-3.5.9/firefox
kernel: 2.6.32.10-90.fc12.i686.PAE
package: firefox-3.5.9-1.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5.9/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Switched from one open window to another on the same desktop
2.
3.
Comment 1 Dan Hrabarchuk 2010-04-28 15:44:00 EDT
Created attachment 409950 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-01 20:34:30 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x04836280 in ~nsDependentSubstring (this=0xa95e0040, aElement=0x0, 
    aPseudoElt=..., aPresShell=0x0)
    at ../../dist/include/string/nsTDependentSubstring.h:53
No locals.
#5  nsComputedDOMStyle::Init (this=0xa95e0040, aElement=0x0, aPseudoElt=..., 
    aPresShell=0x0) at nsComputedDOMStyle.cpp:214
        haveTwoColons = 0
        presCtx = <value optimized out>
#6  0x047a68c5 in nsContainerFrame::Destroy (this=0xa95e0010)
    at nsContainerFrame.cpp:263
        prescontext = <value optimized out>
        overflowFrames = {mFirstChild = 0x48762a0}
#7  0x047b323c in nsFrameList::DestroyFrames (this=0xa929ba98)
    at nsFrameList.cpp:67
        frame = <value optimized out>
        next = 0xa95e0634
#8  0x047a68c5 in nsContainerFrame::Destroy (this=0xa929ba68)
    at nsContainerFrame.cpp:263
        prescontext = <value optimized out>
        overflowFrames = {mFirstChild = 0x48762a0}
#9  0x047b323c in nsFrameList::DestroyFrames (this=0xa929b7fc)
    at nsFrameList.cpp:67
        frame = <value optimized out>
        next = 0xa95e07b0
#10 0x047a68c5 in nsContainerFrame::Destroy (this=0xa929b7cc)
    at nsContainerFrame.cpp:263
        prescontext = <value optimized out>
        overflowFrames = {mFirstChild = 0x47bae32}
#11 0x047b323c in nsFrameList::DestroyFrames (this=0xa929b5b0)
    at nsFrameList.cpp:67
        frame = <value optimized out>
        next = 0x0
#12 0x047a68c5 in nsContainerFrame::Destroy (this=0xa929b580)
    at nsContainerFrame.cpp:263
        prescontext = <value optimized out>
        overflowFrames = {mFirstChild = 0x47eec9d}
#13 0x04779da8 in nsFrameManager::Destroy (this=0xaa44741c)
    at nsFrameManager.cpp:292
No locals.
#14 0x0478ef5c in PresShell::Destroy (this=0xaa447400) at nsPresShell.cpp:1949
        i = <value optimized out>
        count = <value optimized out>
#15 0x047719e3 in DocumentViewerImpl::DestroyPresShell (this=0xa926ba80)
    at nsDocumentViewer.cpp:4329
        selection = {<nsCOMPtr_base> = {
            mRawPtr = 0xaa218b00}, <No data fields>}
        selPrivate = {<nsCOMPtr_base> = {
            mRawPtr = 0xaa218b04}, <No data fields>}
#16 0x04775507 in DocumentViewerImpl::Destroy (this=0xa926ba80)
    at nsDocumentViewer.cpp:1603
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-01 20:36:19 EDT
Reporter, can you list any better steps so that we may be able to reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Dan Hrabarchuk 2010-05-03 09:02:10 EDT
Unfortunately no. The application is crashing when I switch between multiple open firefox windows.
Comment 5 Chris Campbell 2010-05-27 10:06:14 EDT
Unfortunatly, with no way to reproduce the crash, this back-trace isn't specific enough to be able to trouble-shoot. If you find a set of reproduction steps, feel free to re-open this ticket.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.